Bug 681347 - evince prints (#+) ( @! etc. instead of normal text
evince prints (#+) ( @! etc. instead of normal text
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cairo (Show other bugs)
14
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-01 16:28 EST by Paul Eggert
Modified: 2012-08-16 10:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 10:59:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
the reproducer (1.71 KB, text/x-csrc)
2011-06-24 08:09 EDT, Marek Kašík
no flags Details

  None (edit)
Description Paul Eggert 2011-03-01 16:28:52 EST
Description of problem:

When I ask Evince to display and then print a file, it displays fine
but the printout is mangled so badly I can't read it.

Version-Release number of selected component (if applicable):
evince-2.32.0-3.fc14 (x86_64)

How reproducible:
See "steps".

Steps to Reproduce:
1. Download http://www.cs.st-andrews.ac.uk/~ifs/Books/SE9/WebChapters/PDF/Ch_27_Formal_spec.pdf
2. Open with evince, and press "File" then "Print".
3. Select "Print to File", with Output format: Postscript.
4. View the resulting file FOO.ps with the command "gs FOO.ps".
  
Actual results:
The first page is garbled and unreadable.  The second page is OK.
There is garbling later, though.

Expected results:
What I see on the screen with "evince", which is fine.

Additional info:
Comment 1 Marek Kašík 2011-06-24 08:08:33 EDT
Hi,

I think that this is an issue somewhere in cairo. It probably corrupts the font included from the PDF (see object "220 0" in the PDF file - extract with "pdftosrc Ch_27_Formal_spec.pdf 220").
I've created a small reproducer which loads the PDF and stores its pages to PNGs and PSs using cairo functions. The PNGs are correct but the PSs are garbled even if the PSs are exported using the same cairo surfaces as the PNGs.

Regards

Marek

Btw, it's also an issue in Fedora 15.
Comment 2 Marek Kašík 2011-06-24 08:09:29 EDT
Created attachment 509740 [details]
the reproducer
Comment 3 Fedora End Of Life 2012-08-16 10:59:42 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.